For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
HomeAPI Reference
HomeAPI Reference
  • Overview
    • API Overview
  • Vlens API
      • POSTExtract national ID front
      • POSTExtract national ID back
      • POSTExtract passport data
      • POSTExtract car license front (owner info)
      • POSTExtract car license back (vehicle specs)
      • POSTExtract driving license data
      • POSTMatch face against ID photo
      • POSTCompare two face images
      • POSTLiveness detection (three frames)
      • POSTExtract license plate text
      • POSTClassify document type
      • POSTAML validation
Dashboard
LogoLogo
Vlens APIOCR

Extract license plate text

||View as Markdown|
POST
https://api.vlenseg.com/v1/ocr/license_plate
POST
/v1/ocr/license_plate
$curl -X POST https://api.vlenseg.com/v1/ocr/license_plate \
> -H "ApiKey: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "image": "/9j/4AAQSkZJRgABAQAAAQABAAD..."
>}'
200Successful
1{
2 "services": {
3 "validations": {
4 "validation_errors": [
5 {
6 "field": "license_plate_text",
7 "value": "ABC1234",
8 "errors": [
9 {
10 "code": 101,
11 "message": "Character recognition confidence below threshold"
12 }
13 ]
14 }
15 ]
16 },
17 "spoofing": {
18 "fake": false
19 },
20 "classification": {
21 "doc_type": "license_plate"
22 },
23 "liveness": false,
24 "AML": {
25 "AML_matched": false,
26 "data": []
27 },
28 "SRC": {
29 "isValid": true,
30 "errorCode": 0,
31 "errorKey": "",
32 "errorMessage": ""
33 }
34 },
35 "data": {
36 "transaction_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
37 "request_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
38 "client_transaction_id": "txn-20240601-001",
39 "result": "ABC1234"
40 },
41 "error_code": 0,
42 "error_message": ""
43}
Recognise and extract the text from an Egyptian vehicle license plate.
Was this page helpful?
Previous

Liveness detection (three frames)

Next

Classify document type

Built with

Authentication

ApiKeystring
Static API key issued to your tenant. Obtain from the Vlens dashboard.
AuthorizationBearer

Short-lived JWT. Obtain via:

  • /api/credentials/Login for admin / service tokens
  • /api/DigitalIdentity/Register or login for end-user tokens

Request

This endpoint expects an object.
imagestringRequired

Base64-encoded JPEG/PNG image of the document side.

name_check_valuestring or nullOptional

Optional name to cross-validate against OCR-extracted data.

transaction_idstring or nullOptionalformat: "uuid"

Continue an existing transaction. Omit to start a new transaction; the ID is returned in the response.

client_transaction_idstring or nullOptional
Your own reference ID for this verification transaction.
request_idstring or nullOptional
countrystring or nullOptional

ISO 3166-1 alpha-2 country code. Defaults to EG.

getExtractedDatabooleanOptionalDefaults to false

Include OCR-extracted fields in the response.

Response

Extracted plate text.
servicesobject
Results from the various backend verification services.
dataobject
Common fields present on all OCR step responses.
error_codeinteger or null
error_messagestring or null